### Function

# ICalGLib memory_strdup

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_memory_strdup (
      const gchar* s
    )

#### Description [src]

A wrapper around strdup. Partly to trap calls to strdup, partly because in -ansi, gcc on Red Hat claims that strdup is undeclared.

Available since: 1.0

#### Parameters

`s`

  Type: `const gchar*`

  The string to be cloned.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The cloned string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.